feature ordering not preserved when converting to rule-based renderer

2016-07-03 08:02 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee: Mathieu Pellerin - nIRV

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23142

Description

The rule-based renderer's convertFromRenderer() function fails to preserve the feature rendering order settings.

Associated revisions

Revision 3d0e6e8f - 2016-07-04 09:37 AM - Mathieu Pellerin - nIRV

[rule-based renderer] keep rendering order from other renderers (#3269)

(fixes #15204)

History

#1 - 2016-07-04 12:40 AM - Mathieu Pellerin - nIRV

- Status changed from Open to Closed

Fixed in changeset commit:"3d0e6e8f0fecadc5416f340037027c346173403e".
